[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: 2.1.30 doesn't build modules (ITS#3096)

> -----Original Message-----
> From: owner-openldap-bugs@OpenLDAP.org
> [mailto:owner-openldap-bugs@OpenLDAP.org]On Behalf Of dieter@dkluenter.de

> Pierangelo Masarati <openldap-its@OpenLDAP.org> writes:
> >> 2.1.30 doesn't build modules.
> >
> > The syntax changed; I think this was discussed somewhere,
> > anyway, see configure --help; now modules build the same
> > way as overlays, e.g. --enable-monitor={yes|no|mod}
> That's what I thought first, but configure --help shows still the old
> syntax and and configure exits with error when changing to new syntax.
> checking configure arguments... configure: error: bad value
> mod for --enable-bdb

The change in the configure syntax is only in the 2.2 releases. Except for
version numbers and copyright dates, the 2.1 configure script has not changed
since 2.1.23.

  -- Howard Chu
  Chief Architect, Symas Corp.       Director, Highland Sun
  http://www.symas.com               http://highlandsun.com/hyc
  Symas: Premier OpenSource Development and Support